org.mariadb.jdbc.internal.com.send.authentication

## Class ClearPasswordPlugin

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.authentication.ClearPasswordPlugin

All Implemented Interfaces:
  AuthenticationPlugin

    public class ClearPasswordPlugin
    extends Object
    implements AuthenticationPlugin

### Constructor Summary

Constructors
Constructor and Description
`ClearPasswordPlugin(String password, String passwordCharacterEncoding)` Clear text password plugin constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Buffer` `process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)` Send password in clear text to server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearPasswordPlugin

    public ClearPasswordPlugin(String password,
                               String passwordCharacterEncoding)

Clear text password plugin constructor.

Parameters:
  `password` - password
  `passwordCharacterEncoding` - password encoding

### Method Detail

#### process

    public Buffer process(PacketOutputStream out,
                          PacketInputStream in,
                          AtomicInteger sequence)
                   throws IOException

Send password in clear text to server.

Specified by:
  `process` in interface `AuthenticationPlugin`
Parameters:
  `out` - out stream
  `in` - in stream
  `sequence` - packet sequence
Returns:
  response packet
Throws:
  `IOException` - if socket error